Subject: bug#17554: 24.3.91; [Regression] re-usage of dired *Marked Files* buffer window

From: Juri Linkov <[email-masked]>
Date: Wed, 28 May 2014 00:54:54 +0300

>> Which is much better indeed.  You can customize `split-height-threshold'
>> to get three windows again - the *Completions* buffer then appears at the
>> bottom when the question is asked.  But the default would really look
>> better with three windows.  Juri - any ideas?
>
> But it seems this problem is not specific to Dired.  Creating manually
> a window configuration with a small window at the bottom (`C-x 2' and then
> `C-x ^' several times), typing `C-x d TAB TAB' displays *Completions*
> in the small window.

A good placement of the *Completions* buffer can be achieved by using:

(add-to-list 'display-buffer-alist '("\\*Completions\\*" display-buffer-at-bottom (nil)))

It works in Dired as well with different window configurations.